summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAntonin Dach2021-05-28 19:42:21 +0200
committerAntonin Dach2021-05-28 19:42:21 +0200
commitde70c11975a9cabf995c093dfede406b56a8ce9c (patch)
treec01a10583bedd05198a14be70fe6204b90ec98bb /PKGBUILD
downloadaur-de70c11975a9cabf995c093dfede406b56a8ce9c.tar.gz
pkgbuild for git aur package
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..311566f2b99
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: AntonĂ­n Dach <dach@protonmail.com>
+
+pkgname=lisgd-git
+_pkgname=lisgd
+pkgver=0.3.0.r2.g190a93d
+pkgrel=1
+pkgdesc='Bind gestures on touchscreens, and unsupported gesture devices via libinput touch events'
+arch=(any)
+url='https://git.sr.ht/~mil/lisgd'
+license=('MIT')
+makedepends=('git')
+depends=(libinput)
+provides=(lisgd)
+conflicts=()
+install=
+source=('git+https://git.sr.ht/~mil/lisgd#branch=master')
+sha1sums=('SKIP')
+
+pkgver() {
+ cd "$_pkgname"
+ ( set -o pipefail
+ git describe --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$_pkgname"
+ make
+}
+
+package() {
+ cd "$_pkgname"
+ mkdir -p "$pkgdir/usr/bin"
+ install -Dm644 "$_pkgname" "$pkgdir/usr/bin/$_pkgname"
+}
+